(require 'package) ;; You might already have this line
(add-to-list 'package-archives
             '("melpa" . "http://melpa.org/packages/"))
(add-to-list 'package-archives
             '("melpa" . "http://melpa.milkbox.net/packages/"))
(when (< emacs-major-version 24)
  ;; For important compatibility libraries like cl-lib
  (add-to-list 'package-archives '("gnu" . "http://elpa.gnu.org/packages/")))
(package-initialize) ;; You might already have this line

(package-install '2048-game)
(package-install 'ac-c-headers)
(package-install 'ac-math)
(package-install 'ac-octave)
(package-install 'async)
(package-install 'auctex)
(package-install 'auto-complete)
(package-install 'company)
(package-install 'company-auctex)
(package-install 'company-c-headers)
(package-install 'company-dict)
(package-install 'company-jedi)
(package-install 'company-math)
(package-install 'company-web)
(package-install 'concurrent)
(package-install 'ctable)
(package-install 'cython-mode)
(package-install 'dash)
(package-install 'dash-functional)
(package-install 'deferred)
(package-install 'diffview)
(package-install 'epc)
(package-install 'f)
(package-install 'fish-mode)
(package-install 'helm)
(package-install 'helm-bibtex)
(package-install 'helm-core)
(package-install 'helm-ls-git)
(package-install 'helm-package)
(package-install 'helm-spotify)
(package-install 'hydandata-light)
(package-install 'java-imports)
(package-install 'java-snippets)
(package-install 'javadoc-lookup)
(package-install 'jdee)
(package-install 'jedi)
(package-install 'jedi-core)
(package-install 'js-comint)
(package-install 'json-mode)
(package-install 'json-reformat)
(package-install 'json-snatcher)
(package-install 'markdown-mode)
(package-install 'math-symbol-lists)
(package-install 'multi)
(package-install 'nvm)
(package-install 'openwith)
(package-install 'parsebib)
(package-install 'pcache)
(package-install 'php-mode)
(package-install 'poker)
(package-install 'popup)
(package-install 'pos-tip)
(package-install 'python-environment)
(package-install 'python-mode)
(package-install 'pythonic)
(package-install 's)
(package-install 'smart-compile)
(package-install 'sokoban)
(package-install 'sr-speedbar)
(package-install 'web-completion-)
(package-install 'web-mode)
(package-install 'yaml-mode)
(package-install 'yasnippet)
